<?xml version="1.0"?>
<project xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd" xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>br.gov.serpro.expresso.security</groupId>
        <artifactId>security-mail</artifactId>
        <version>1.0.0</version>
        <relativePath>../../pom.xml</relativePath>
    </parent>
    <groupId>br.gov.serpro.expresso.security</groupId>
    <artifactId>expressocertmail</artifactId>
    <version>1.0.107-packageVersion</version>
    <name>Expresso Certificate Mail</name>
    <url>http://maven.apache.org</url>
    <build>
        <finalName>ExpressoCertMail</finalName>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>2.3.2</version>
                <configuration>
                    <source>1.7</source>
                    <target>1.7</target>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-jar-plugin</artifactId>
                <version>2.4</version>
                <configuration>
                    <archive>
                        <index>true</index>
                        <manifest>
                        <addClasspath>false</addClasspath>
                        <addDefaultImplementationEntries>true</addDefaultImplementationEntries>
                        </manifest>
                        <manifestEntries>
                            <Application-Name>Expressomail Security</Application-Name>
                            <Permissions>all-permissions</Permissions>
                            <Codebase>https://expressov3.serpro.gov.br/</Codebase>
                            <Caller-Allowable-Codebase>expressov3.serpro.gov.br</Caller-Allowable-Codebase>
                            <Built-By>Expresso Serpro</Built-By>
                        </manifestEntries>
                    </archive>
                </configuration>
            </plugin>

            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>autoincrement-versions-maven-plugin</artifactId>
                <version>2.0-SNAPSHOT</version>
                <executions>
                    <execution>
                        <id>update-pom-versions</id>
                        <goals>
                            <goal>increment</goal>
                            <goal>commit</goal>
                        </goals>
                        <phase>package</phase>
                        <configuration>
                            <autoIncrementVersion>true</autoIncrementVersion>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>

    <dependencies>
        <dependency>
            <groupId>br.gov.serpro.expresso.security</groupId>
            <artifactId>expressocert</artifactId>
            <version>1.0.39</version>
            <!-- scope>system</scope -->
            <!-- systemPath>${basedir}/ExpressoCert/target/ExpressoCert.jar</systemPath -->
            <!-- relativePath>../ExpressoCert/pom.xml</relativePath -->
        </dependency>
    </dependencies>

</project>
